import type { _NSData } from "../Foundation/NSData.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSet } from "../Foundation/NSSet.js";
export declare class _NWTLSParameters extends _NSObject {
    static alloc(): _NWTLSParameters;
    static new(): _NWTLSParameters;
    init(): _NWTLSParameters;
    /**
     * The session ID for the associated connection, used for TLS session resumption. This property is optional when using TLS.
     * @deprecated Use `sec_protocol_options_set_tls_resumption_enabled` in Security framework instead, see deprecation notice in <NetworkExtension/NWTLSParameters.h>
     */
    TLSSessionID(): _NSData;
    setTLSSessionID$(value: _NSData): void;
    /**
     * The set of allowed cipher suites, as defined in <Security /CipherSuite.h>. If set to nil, the default cipher suites will be used.
     * @deprecated Use `sec_protocol_options_append_tls_ciphersuite` in Security framework instead, see deprecation notice in <NetworkExtension/NWTLSParameters.h>
     */
    SSLCipherSuites(): _NSSet;
    setSSLCipherSuites$(value: _NSSet): void;
    /**
     * The minimum allowed SSLProtocol value. as defined in <Security /SecureTransport.h>. If set, the SSL handshake will not accept any protocol version older than the minimum.
     * @deprecated Use `sec_protocol_options_set_min_tls_protocol_version` in Security framework instead, see deprecation notice in <NetworkExtension/NWTLSParameters.h>
     */
    minimumSSLProtocolVersion(): number;
    setMinimumSSLProtocolVersion$(value: number): void;
    /**
     * The maximum allowed SSLProtocol value. as defined in <Security /SecureTransport.h>. If set, the SSL handshake will not accept any protocol version newer than the maximum. This property should be used with caution, since it may limit the use of preferred SSL protocols.
     * @deprecated Use `sec_protocol_options_set_max_tls_protocol_version` in Security framework instead, see deprecation notice in <NetworkExtension/NWTLSParameters.h>
     */
    maximumSSLProtocolVersion(): number;
    setMaximumSSLProtocolVersion$(value: number): void;
}
